Bug 177937 - initscripts does not handle interface with /31 prefix correctly
initscripts does not handle interface with /31 prefix correctly
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-16 11:54 EST by Roy-Magne Mo
Modified: 2014-03-16 22:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:19:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to add check for netmask-length when deriving ${BROADCAST} in network-functions (360 bytes, patch)
2006-01-16 11:54 EST, Roy-Magne Mo
no flags Details | Diff
better patch, fixing bug and also handling ${NETWORK} (523 bytes, patch)
2006-01-16 19:08 EST, Roy-Magne Mo
no flags Details | Diff

  None (edit)
Description Roy-Magne Mo 2006-01-16 11:54:42 EST
Description of problem:
Interfaces with a 31 bit netmask (255.255.255.254) has no network address or
broadcast address, so there needs to be a additional check when deriving the
network and the broadcast in network-functions in expand_config(). 

Linux support these point-to-point interfaces fine, and so should fedora.

I've attached a patch to fix this, the patch does not include a patch for
setting of ${NETWORK}, but that one should probably be fixed in the same manner.

Version-Release number of selected component (if applicable):
initscripts-8.20-1

How reproducible:
always

Steps to Reproduce:
1. set a netmask of 255.255.255.254 on a interface
2. ifup eth0
3.
  
Actual results:
broadcast is chosen as the highest address in the range and replaces on of the
ends of the point-to-point link.

Expected results:
No broadcast should be defined when setting the interface for /31 itnerfaces

Additional info:
Comment 1 Roy-Magne Mo 2006-01-16 11:54:42 EST
Created attachment 123244 [details]
Patch to add check for netmask-length when deriving ${BROADCAST} in network-functions
Comment 2 Roy-Magne Mo 2006-01-16 19:08:31 EST
Created attachment 123274 [details]
better patch, fixing bug and also handling ${NETWORK}
Comment 3 Bug Zapper 2008-04-03 12:44:04 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 4 Bug Zapper 2008-05-06 20:19:44 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.